Jump to content


Photo

OpenPli 7.2 + oscam

oscam

  • Please log in to reply
14 replies to this topic

#1 plmatrix

  • Member
  • 9 posts

+1
Neutral

Posted 7 March 2020 - 13:59

Hi guys, i need some help with oscam.

 

When i instal oscam from plugins (this one comes with openpli) i can manage it via www (port 8081)

But if i install oscam separatelly (as an uploaded ipk file) i cant manage it via www (port 8888)

 

First one (the oryginal one) was instaled in etc/tuxbox/config/oscam-emu, second in etc/oscam/config

Both can be choosed via blue button, both can be executed, but second one cant be manage via www

It happends after update to 7.2 version, on 7.1 i haven't problems like this



Re: OpenPli 7.2 + oscam #2 WanWizard

  • Forum Moderator
    PLi® Core member
  • 52,504 posts

+1,018
Excellent

Posted 7 March 2020 - 14:13

You install something from good knows where, it breaks something, and then you ask us why?

 

Why do that, OpenPLi has a very recent Oscam in the feeds? Also, you are mixing Oscam-emu and Oscam, which are two different softcams, each with their own config?


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2), Octagon SF8008 (S2+T2), SAB Alpha Triple HD (S2+T2), Zgemma H9.2H (T2+fallback)

Many answers to your question can be found in our new and improved wiki.

note: I do not provide support via PM !

 


Re: OpenPli 7.2 + oscam #3 plmatrix

  • Member
  • 9 posts

+1
Neutral

Posted 7 March 2020 - 15:02

You install something from good knows where, it breaks something, and then you ask us why?

 

Why do that, OpenPLi has a very recent Oscam in the feeds? Also, you are mixing Oscam-emu and Oscam, which are two different softcams, each with their own config?

 

Mayby you are right, but i always downolad oscam-emu from the same source "vuplus4k", they always have newest version, and from this site i get info about openpli

 

Besides why the "other" oscam works on 7.1 or egz Vti ?

 

Anyway, I like openpli, i think it is the best and most stable.

So if You could help me with this problem, i would be nice.



Re: OpenPli 7.2 + oscam #4 WanWizard

  • Forum Moderator
    PLi® Core member
  • 52,504 posts

+1,018
Excellent

Posted 7 March 2020 - 15:13

So maybe you need to ask your question there, as you install something they made?

 

You seem to have the idea that you can randomly install whatever you find, which is not the case, it doesn't work like that in Linux.

 

Like you can't install Ubuntu packages on Redhat, or Fedora 24 packages on Fedora 26, you can't just install any ipk package you find on OpenPLi.

 

Not only does it needs to be compatible with OpenPLi (compatible with our config locations, compatible with our init scripts), it only needs to be binary compatible with the system libraries, which differ from version to version.

 

Install oscam and/or oscam-emu from our feed, problem solved.


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2), Octagon SF8008 (S2+T2), SAB Alpha Triple HD (S2+T2), Zgemma H9.2H (T2+fallback)

Many answers to your question can be found in our new and improved wiki.

note: I do not provide support via PM !

 


Re: OpenPli 7.2 + oscam #5 40H3X

  • PLi® Contributor
  • 3,778 posts

+122
Excellent

Posted 7 March 2020 - 15:22

....@plmatrix and maybe ask yourself the question, why indeed do you need the version from the "vuplus4k site" in the first place?


Hardware: Vu+ Uno 4k SE - Samsung HM500JI 500GB 2.5 inch - aXas 4K Ultra HD - Amiko Viper Combo HDD - Edision OS mio 4K - Spycat Mini Plus - Vu+ Zero - Vu+ Duo - WD 1TB - Fuba 78 cm - Tripleblock LNB Quad 19.2/23.5/28.2 - NAS 4TB RAID 1
Software : OpenPLi - OScam - Settings van Hans  -  Autotimer  -  EPGImport


Re: OpenPli 7.2 + oscam #6 s3n0

  • Senior Member
  • 202 posts

+26
Good

Posted 7 March 2020 - 15:51

The problem seems to be that each of your two installed Oscam uses its own configuration directories. That's all. This is not a mistake.

You need to find the correct configuration directory for both Oscams and find out which port is used for Oscam Webif (the port can be changed instead of the default "8888" and is set in the "oscam.conf" file).

Try this:

ps | grep cam

If you find your Oscams in the list, check the "-c" argument that specifies the path to the configuration directory. If you do not see this argument in the list, then Oscam uses the automatic search for default configuration directories:

1652	static void find_conf_dir(void)
1653	{
1654	    static const char* confdirs[] =
1655	        {
1656	            "/etc/tuxbox/config/",
1657	            "/etc/tuxbox/config/oscam/",
1658	            "/var/tuxbox/config/",
1659	            "/usr/keys/",
1660	            "/var/keys/",
1661	            "/var/etc/oscam/",
1662	            "/var/etc/",
1663	            "/var/oscam/",
1664	            "/config/oscam/",
1665	            NULL
1666	        };

Source code: http://www.streamboa...k/oscam.c#L1652

 

So try looking for the second Oscam configuration files in these directories.

 

You should also customize the port for Oscam-Webif as you need.

BTW, in general, however, it is stupid to run 2x Oscam at the same time. Just one ! However, you have to configure it well !


Edited by s3n0, 7 March 2020 - 15:55.


Re: OpenPli 7.2 + oscam #7 plmatrix

  • Member
  • 9 posts

+1
Neutral

Posted 7 March 2020 - 18:57

thanks @s3n0, but this is a liitle bit of "magic" for me :)

 
1. I didnt run 2 oscams at the same time
2. First oscam-emu has port 8081 and i can log into via 192.168...:8081 (set as default)
3. if i start second oscam, it runs (i think, there is no tv) and cant log into 192.168....:8888 (set as default)
 
if i put command you write with first oscam runnig i got this:
root@vuzero4k:~# ps | grep cam                                                 
 8467 root      8016 S    /usr/bin/oscam-emu --wait 0 --config-dir /etc/tuxbox 
 8468 root     15948 S    /usr/bin/oscam-emu --wait 0 --config-dir /etc/tuxbox 
15205 root      2580 S    grep cam           
 
with second one:
root@vuzero4k:~# ps | grep cam       
19051 root      2580 S    grep cam   
root@vuzero4k:~#       
 
directory /usr/bin/ contains both files "oscam-emu" and "oscam_11.576-r798"
directory /etc/tuxbox/config/oscam-emu/ contains working oscam files like .conf, .server, .user, .dvbapi
directory /etc/tuxbox/config/ contains new oscam files like .conf, .server, .user, .dvbapi,
                                         


Re: OpenPli 7.2 + oscam #8 s3n0

  • Senior Member
  • 202 posts

+26
Good

Posted 9 March 2020 - 02:50

You can still try to list the ports that listen to running Oscams (but in your case, there is probably only one Oscam running):

netstat -tulpn | grep oscam

If you want to use the softcam launcher built into the Python source code, that is, the Softcam Panel / Info Panel, via the OpenPL GUI MENU, I'm afraid there can only run one Softcam (the one you select and start) and not more Softcams at a time.

I still think it's stupid if you want to run 2x softcam. I don't understand why you want it. Run only one Softcam, depending on what you need + set it properly.

According to the "ps" listing, only one Oscam was launched and that is "/usr/bin/oscam-emu".

If you want to run multiple Softcam, I'm afraid you have to use your own and manual installation procedure. This means no SoftcamPanel and no GUI MENU in Enigma. Of course you have to rename the startup script separately for both your Oscam. You must also modify the configuration directory in the "init.d" script for each Oscam separately. Be sure to set the port for each Oscam separately (in the "oscam.conf" file).

 

See the info written at the beginning of my "init.d" shell script. Ignore the OpenPLi / OpenATV information in the script and use the information for "all other Enigmas".

Shell script preview: https://github.com/s.../master/softcam

Direct download link: https://github.com/s.../master/softcam

 

Even so, I think running 2x Oscam is completely stupid. Why do you need to do that ?


Edited by s3n0, 9 March 2020 - 02:53.


Re: OpenPli 7.2 + oscam #9 mimisiku

  • Senior Member
  • 2,525 posts

+32
Good

Posted 9 March 2020 - 09:52

Perhaps hé wants to unlock powerVU Channels or Others for which hé had no cards..
Met één been in het graf..... Helaas

Re: OpenPli 7.2 + oscam #10 plmatrix

  • Member
  • 9 posts

+1
Neutral

Posted 9 March 2020 - 15:58

 

 

Even so, I think running 2x Oscam is completely stupid. Why do you need to do that ?

we have some missunderestading, i dont want to run 2 oscams, i just want to run just one, this one installed from ipk.

I cant manage/edit it via www - that is the problem

yesterday i install vti, and everything was ok, i install new oscam via ipk, the directory was /etc/tuxbox/config/ and it can be manage via www.

and i wonder , why i cant do this on pli7.2 (on 7.1 it works ok)


Edited by plmatrix, 9 March 2020 - 16:00.


Re: OpenPli 7.2 + oscam #11 WanWizard

  • Forum Moderator
    PLi® Core member
  • 52,504 posts

+1,018
Excellent

Posted 9 March 2020 - 16:03

The question is why you insist on trying to install something "from the internet" while we supply a fully tested and working version in the feed?


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2), Octagon SF8008 (S2+T2), SAB Alpha Triple HD (S2+T2), Zgemma H9.2H (T2+fallback)

Many answers to your question can be found in our new and improved wiki.

note: I do not provide support via PM !

 


Re: OpenPli 7.2 + oscam #12 plmatrix

  • Member
  • 9 posts

+1
Neutral

Posted 11 March 2020 - 13:53

the question is "why not" ? if You didnt allow to instal oscams "from the internet" insted yours, just say it.

For me for example, with your oscam didnt work c+4k, and if i put "oscam from internet" it works perfect.

Mayby there are some diferent settings, but i'm newby with oscam, and dont know.

I prefer this one which is already set for my purpose. 



Re: OpenPli 7.2 + oscam #13 WanWizard

  • Forum Moderator
    PLi® Core member
  • 52,504 posts

+1,018
Excellent

Posted 11 March 2020 - 13:55

You can do whatever you want. Nobody is stopping you.

 

But as "a newby with oscam", you are making it yourself very difficult, as you will have to create all the ancillary code yourself. You can't just copy a file in and expect it to work...


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2), Octagon SF8008 (S2+T2), SAB Alpha Triple HD (S2+T2), Zgemma H9.2H (T2+fallback)

Many answers to your question can be found in our new and improved wiki.

note: I do not provide support via PM !

 


Re: OpenPli 7.2 + oscam #14 plmatrix

  • Member
  • 9 posts

+1
Neutral

Posted 11 March 2020 - 14:10

You can do whatever you want. Nobody is stopping you.

 

But as "a newby with oscam", you are making it yourself very difficult, as you will have to create all the ancillary code yourself. You can't just copy a file in and expect it to work...

i'm with openpli since few years, with few decoders, and it always works till 7.2 :)

since 7.2 was published i cant do this like i done before, so this is why i have a question.

but i see you cant (dont want) to help me so please , i finish this topic 



Re: OpenPli 7.2 + oscam #15 WanWizard

  • Forum Moderator
    PLi® Core member
  • 52,504 posts

+1,018
Excellent

Posted 11 March 2020 - 15:01

I can't, because I have no clue what you're doing.

 

You get an oscam binary from "somewhere", which is build on an unknown platform with an unknown config setup, you put it on your box, it doesn't work, and now you want me to look into my crystal ball and fix whatever unknown problem you have?

 

Like I said, you can install oscam from the feed, and it works directly, you can also install oscam-emu from the feed, it will work directly too. There is no need to install both, as oscam-emu does exactly the same as oscam.


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2), Octagon SF8008 (S2+T2), SAB Alpha Triple HD (S2+T2), Zgemma H9.2H (T2+fallback)

Many answers to your question can be found in our new and improved wiki.

note: I do not provide support via PM !

 






0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users